# creates sound effect traps

execute as @s[scores={jjba_current_ab=0}] at @e[tag=echoes_trap] unless entity @e[tag=boing,distance=..2] if block ~ ~1 ~ #jjba:airs run summon armor_stand ~ ~1.15 ~ {CustomName:'{"text":"BOING","bold":"true","color":"light_purple"}',CustomNameVisible:1b,Tags:["boing","echoes_word"],NoGravity:1b,Invisible:1b,Invulnerable:1b,Marker:1b,Small:1b,DisabledSlots:4144959}
execute as @s[scores={jjba_current_ab=1}] at @e[tag=echoes_trap] unless entity @e[tag=sizzle,distance=..2] if block ~ ~1 ~ #jjba:airs run summon armor_stand ~ ~1.25 ~ {CustomName:'{"text":"SIZZLE","bold":"true","color":"red"}',CustomNameVisible:1b,Tags:["sizzle","echoes_word"],NoGravity:1b,Invisible:1b,Invulnerable:1b,Marker:1b,Small:1b,DisabledSlots:4144959}
execute as @s[scores={jjba_current_ab=2}] at @e[tag=echoes_trap] unless entity @e[tag=kaboom,distance=..2] if block ~ ~1 ~ #jjba:airs run summon armor_stand ~ ~1.25 ~ {CustomName:'{"text":"KABOOM","bold":"true","color":"aqua"}',CustomNameVisible:1b,Tags:["kaboom","echoes_word"],NoGravity:1b,Invisible:1b,Invulnerable:1b,Marker:1b,Small:1b,DisabledSlots:4144959}

execute as @s[scores={jjba_current_ab=0}] at @e[tag=echoes_trap] unless entity @e[tag=boing,distance=..2] unless block ~ ~1 ~ #jjba:airs unless block ~ ~-1 ~ #jjba:airs run summon armor_stand ~ ~0.15 ~ {CustomName:'{"text":"BOING","bold":"true","color":"light_purple"}',CustomNameVisible:1b,Tags:["boing","echoes_word"],NoGravity:1b,Invisible:1b,Invulnerable:1b,Marker:1b,Small:1b,DisabledSlots:4144959}
execute as @s[scores={jjba_current_ab=1}] at @e[tag=echoes_trap] unless entity @e[tag=sizzle,distance=..2] unless block ~ ~1 ~ #jjba:airs unless block ~ ~-1 ~ #jjba:airs run summon armor_stand ~ ~0.15 ~ {CustomName:'{"text":"SIZZLE","bold":"true","color":"red"}',CustomNameVisible:1b,Tags:["sizzle","echoes_word"],NoGravity:1b,Invisible:1b,Invulnerable:1b,Marker:1b,Small:1b,DisabledSlots:4144959}
execute as @s[scores={jjba_current_ab=2}] at @e[tag=echoes_trap] unless entity @e[tag=kaboom,distance=..2] unless block ~ ~1 ~ #jjba:airs unless block ~ ~-1 ~ #jjba:airs run summon armor_stand ~ ~ ~ {CustomName:'{"text":"KABOOM","bold":"true","color":"aqua"}',CustomNameVisible:1b,Tags:["kaboom","echoes_word"],NoGravity:1b,Invisible:1b,Invulnerable:1b,Marker:1b,Small:1b,DisabledSlots:4144959}

execute as @s[scores={jjba_current_ab=0}] at @e[tag=echoes_trap] unless entity @e[tag=boing,distance=..2] unless block ~ ~1 ~ #jjba:airs if block ~ ~-1 ~ #jjba:airs run summon armor_stand ~ ~-0.85 ~ {CustomName:'{"text":"BOING","bold":"true","color":"light_purple"}',CustomNameVisible:1b,Tags:["boing","echoes_word"],NoGravity:1b,Invisible:1b,Invulnerable:1b,Marker:1b,Small:1b,DisabledSlots:4144959}
execute as @s[scores={jjba_current_ab=1}] at @e[tag=echoes_trap] unless entity @e[tag=sizzle,distance=..2] unless block ~ ~1 ~ #jjba:airs if block ~ ~-1 ~ #jjba:airs run summon armor_stand ~ ~-0.85 ~ {CustomName:'{"text":"SIZZLE","bold":"true","color":"red"}',CustomNameVisible:1b,Tags:["sizzle","echoes_word"],NoGravity:1b,Invisible:1b,Invulnerable:1b,Marker:1b,Small:1b,DisabledSlots:4144959}
execute as @s[scores={jjba_current_ab=2}] at @e[tag=echoes_trap] unless entity @e[tag=kaboom,distance=..2] unless block ~ ~1 ~ #jjba:airs if block ~ ~-1 ~ #jjba:airs run summon armor_stand ~ ~-0.85 ~ {CustomName:'{"text":"KABOOM","bold":"true","color":"aqua"}',CustomNameVisible:1b,Tags:["kaboom","echoes_word"],NoGravity:1b,Invisible:1b,Invulnerable:1b,Marker:1b,Small:1b,DisabledSlots:4144959}

# regulates trap range
execute as @s[scores={jjba_stat_range=1}] at @s run execute as @e[tag=echoes_word,distance=11..] run function jjba:stands/echoes/sound_effect/remove
execute as @s[scores={jjba_stat_range=2}] at @s run execute as @e[tag=echoes_word,distance=21..] run function jjba:stands/echoes/sound_effect/remove
execute as @s[scores={jjba_stat_range=3}] at @s run execute as @e[tag=echoes_word,distance=31..] run function jjba:stands/echoes/sound_effect/remove
execute as @s[scores={jjba_stat_range=4}] at @s run execute as @e[tag=echoes_word,distance=41..] run function jjba:stands/echoes/sound_effect/remove
execute as @s[scores={jjba_stat_range=5}] at @s run execute as @e[tag=echoes_word,distance=51..] run function jjba:stands/echoes/sound_effect/remove

# removes out of range traps
execute as @s at @e[tag=echoes_trap] run kill @e[tag=echoes_word,distance=2..]

# armor stand scores
execute as @e[tag=echoes_word] run scoreboard players add @s jjba_clock 1
execute as @e[tag=echoes_word,scores={jjba_clock=11..}] run scoreboard players set @s jjba_clock 0

# sound effect trap activation effects
execute if entity @e[type=armor_stand,tag=boing] run function jjba:stands/echoes/sound_effect/activation/bounce
execute if entity @e[type=armor_stand,tag=sizzle] run function jjba:stands/echoes/sound_effect/activation/fire
execute if entity @e[type=armor_stand,tag=kaboom] run function jjba:stands/echoes/sound_effect/activation/wind

# particles
execute as @s run function jjba:stands/echoes/sound_effect/particles
