# regulates stand deployment
execute as @s[scores={jjba_active=1..21},tag=!stand_active] at @s run function jjba:stands/echoes/stand/summon_stand
execute as @s[scores={jjba_active=21},tag=stand_active] at @s run function jjba:stands/echoes/stand/stand_active
execute as @s[scores={jjba_active=-16..-1}] at @s run function jjba:stands/echoes/stand/dismiss_stand

# initiates active abilities

execute as @s[scores={jjba_head_f=1}] run function jjba:stands/echoes/detect
execute as @s[scores={jjba_head_F=1,jjba_ab_2=1,jjba_ab_3=0}] run tag @s add attack_1
execute as @s[scores={jjba_head_q=1,jjba_ab_3=1}] run tag @s add attack_2

execute as @s[scores={jjba_head_Q=1,jjba_ab_2=1,jjba_ab_3=0,jjba_attack_1=0}] run scoreboard players add @s jjba_current_ab 1
execute as @s[scores={jjba_current_ab=1..,jjba_stat_power=1..2}] run scoreboard players set @s jjba_current_ab 0
execute as @s[scores={jjba_current_ab=2..,jjba_stat_power=3..4}] run scoreboard players set @s jjba_current_ab 0
execute as @s[scores={jjba_current_ab=3..,jjba_stat_power=5}] run scoreboard players set @s jjba_current_ab 0
execute as @s[scores={jjba_head_Q=1,jjba_ab_2=1,jjba_ab_3=0,jjba_attack_1=0,jjba_current_ab=0}] run tellraw @s ["",{"text":"Current sound effect: ","italic":true,"color":"gray"},{"text":"BOING","italic":true,"color":"light_purple"}]
execute as @s[scores={jjba_head_Q=1,jjba_ab_2=1,jjba_ab_3=0,jjba_attack_1=0,jjba_current_ab=1}] run tellraw @s ["",{"text":"Current sound effect: ","italic":true,"color":"gray"},{"text":"SIZZLE","italic":true,"color":"red"}]
execute as @s[scores={jjba_head_Q=1,jjba_ab_2=1,jjba_ab_3=0,jjba_attack_1=0,jjba_current_ab=2}] run tellraw @s ["",{"text":"Current sound effect: ","italic":true,"color":"gray"},{"text":"KABOOM","italic":true,"color":"aqua"}]

# runs active abilities
execute as @s[tag=attack_1] at @s run function jjba:stands/echoes/sound_effect/ability
execute as @s[tag=attack_2] at @s run function jjba:stands/echoes/freeze/ability

# bossbars

execute as @s store result bossbar jjba_echoes_1 value run scoreboard players get @s jjba_cooldown_1
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_1=0,jjba_cooldown_1=0}] run bossbar set minecraft:jjba_echoes_1 name [{"text":"Sound Effect : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.sneak","color":"yellow"},{"text":"+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to place","color":"yellow"}]
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_1=1200,jjba_cooldown_1=1..}] run bossbar set minecraft:jjba_echoes_1 name [{"text":"Sound Effect : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.sneak","bold":true,"underlined":true,"color":"green"},{"text":"+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.swapOffhand","bold":true,"underlined":true,"color":"green"},{"text":" to remove","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_1=0,jjba_cooldown_1=1..}] run bossbar set minecraft:jjba_echoes_1 name [{"text":"Sound Effect : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.sneak","color":"dark_gray"},{"text":"+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to place","color":"dark_gray"}]

execute as @s store result bossbar jjba_echoes_2 value run scoreboard players get @s jjba_cooldown_2
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=0,jjba_cooldown_2=0}] run bossbar set minecraft:jjba_echoes_2 name [{"text":"Freeze : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.drop","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=1..}] run bossbar set minecraft:jjba_echoes_2 name [{"text":"Freeze : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.drop","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=0,jjba_cooldown_2=1..}] run bossbar set minecraft:jjba_echoes_2 name [{"text":"Freeze : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

title @s actionbar [{"text":"Detect : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to use","color":"yellow"}]

# controls head
execute unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",Count:1b,tag:{stand_head:1b}}]}] run clear @s minecraft:scute{stand_head:1b}
execute as @s[scores={jjba_ab_2=0,jjba_ab_3=0}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @s hotbar.0 with minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Echoes ACT 1』\"}"},CustomModelData:90001}
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @s hotbar.0 with minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Echoes ACT 2』\"}"},CustomModelData:90002}
execute as @s[scores={jjba_ab_3=1}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @s hotbar.0 with minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Echoes ACT 3』\"}"},CustomModelData:90003}
kill @e[distance=..10,type=item,nbt={Item:{id:"minecraft:scute",tag:{stand_head:1b}}}]
