# summon stand
execute as @s[scores={jjba_active=0,jjba_attack_1=0,jjba_cooldown_1=0}] run scoreboard players set @s jjba_active 1

# termination conditions
execute as @s[scores={jjba_head_f=1,jjba_attack_1=1..}] run scoreboard players set @s jjba_attack_1 0

# initiate
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=0}] run scoreboard players set @s jjba_attack_1 1200

# raycast to tag entities
execute as @s[tag=attack_1b,scores={jjba_attack_1=1200,jjba_cooldown_1=0}] run function jjba:stands/hand/space_erasure/tp_you1

# duration
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=1}] run scoreboard players add @s jjba_cooldown_1 25
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=2}] run scoreboard players add @s jjba_cooldown_1 50
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=3}] run scoreboard players add @s jjba_cooldown_1 100
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=4}] run scoreboard players add @s jjba_cooldown_1 150
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=5}] run scoreboard players add @s jjba_cooldown_1 300
execute as @s[scores={jjba_cooldown_1=1200..}] run scoreboard players set @s jjba_cooldown_1 1200
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=1}] run scoreboard players remove @s jjba_attack_1 25
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=2}] run scoreboard players remove @s jjba_attack_1 50
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=3}] run scoreboard players remove @s jjba_attack_1 100
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=4}] run scoreboard players remove @s jjba_attack_1 150
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=5}] run scoreboard players remove @s jjba_attack_1 300
execute as @s[scores={jjba_attack_1=..-1}] run scoreboard players set @s jjba_attack_1 0

# removes tags from entities out of range
execute as @s[scores={jjba_attack_1=1..}] run function jjba:stands/hand/space_erasure/remove_tags

# particles
execute at @e[tag=pulled,distance=..20] run particle minecraft:dust 0 1 0.8 2 ~ ~1 ~ 0.2 0.4 0.2 1 10 force

# teleport yourself or tagged entities
execute as @s[tag=attack_1a,scores={jjba_attack_1=0,jjba_cooldown_1=1200}] run function jjba:stands/hand/space_erasure/tp_me
execute as @s[tag=attack_1b,scores={jjba_attack_1=0,jjba_cooldown_1=1200}] run function jjba:stands/hand/space_erasure/tp_you2

# cooldown
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=1}] run scoreboard players remove @s jjba_cooldown_1 20
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=2}] run scoreboard players remove @s jjba_cooldown_1 30
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=3}] run scoreboard players remove @s jjba_cooldown_1 50
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=4}] run scoreboard players remove @s jjba_cooldown_1 60
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=5}] run scoreboard players remove @s jjba_cooldown_1 80
execute as @s[scores={jjba_cooldown_1=..-1}] run scoreboard players set @s jjba_cooldown_1 0

# remove tag
execute as @s[scores={jjba_cooldown_1=0},tag=attack_1] run tag @s remove attack_1
execute as @s[scores={jjba_cooldown_1=0},tag=attack_1a] run tag @s remove attack_1a
execute as @s[scores={jjba_cooldown_1=0},tag=attack_1b] run tag @s remove attack_1b
