# displays time stop bossbar for all players
bossbar set minecraft:jjba_star_2 players @a

execute at @s run playsound minecraft:stand.star_stop master @a ~ ~ ~ 0.6 1

# makes user immune to time stop effects
tag @s add time_stop_immune
tag @a[scores={jjba_stand=1}] add time_stop_immune
tag @a[scores={jjba_stand=12,jjba_ab_3=1}] add time_stop_immune
tag @a[scores={jjba_stand=27,jjba_ab_2=1,jjba_ab_3=1,jjba_stat_power=5,jjba_stat_range=5,jjba_stat_dur=5,jjba_stat_cool=5}] add time_stop_immune
tag @e[distance=0.1..100,tag=!jjba_stop,tag=!time_stop_immune] add jjba_stop

# summons epicentrum of time stop
summon minecraft:armor_stand ~ ~ ~ {Tags:["epicentrum"],Invisible:1b,Marker:1b}

# saves gamerules
execute store result score doDaylightCycle gamerule run gamerule doDaylightCycle
execute store result score doWeatherCycle gamerule run gamerule doWeatherCycle
execute store result score doFireTick gamerule run gamerule doFireTick
execute store result score doMobSpawning gamerule run gamerule doMobSpawning
execute store result score doMobLoot gamerule run gamerule doMobLoot
execute store result score randomTickSpeed gamerule run gamerule randomTickSpeed

# sets gamerules to false
gamerule doDaylightCycle false
gamerule doWeatherCycle false
gamerule doMobSpawning false
gamerule doMobLoot false
gamerule doFireTick false
gamerule randomTickSpeed 0

# saves entity properties
tag @e[nbt={NoAI:1b},tag=jjba_stop,tag=!NoAI] add NoAI
tag @e[nbt={Silent:1b},tag=jjba_stop,tag=!Silent] add Silent
tag @e[nbt={NoGravity:1b},tag=jjba_stop,tag=!NoGravity] add NoGravity

# visual and player effects
effect give @s minecraft:blindness 1 0 true
effect give @s minecraft:slowness 1 1 true
execute anchored eyes run particle minecraft:flash ^ ^ ^1 1 1 1 0 10
