# technique particles
execute at @s[nbt={SelectedItem:{tag:{technique:1b}}}] rotated ~ 0 run particle minecraft:dust 0 1 0 1.25 ^-0.4 ^0.75 ^0.2 0 0.1 0 1 1 force

# advancements
execute as @s[scores={jjba_tech_1=1..,jjba_tech_2=1..,jjba_tech_3=1..,jjba_tech_4=1..,jjba_tech_5=1..}] if entity @s[advancements={jjba:unlock_all_skills=false}] run advancement grant @s only jjba:unlock_all_skills
execute as @s[scores={jjba_tech_1=5,jjba_tech_2=2,jjba_tech_3=3,jjba_tech_4=3,jjba_tech_5=2}] if entity @s[advancements={jjba:fully_upgrade_all_skills=false}] run advancement grant @s only jjba:fully_upgrade_all_skills

# technique level up
execute as @s run function jjba:techniques/spin/leveling_up

# skill cooldown
execute as @s[scores={jjba_tech_1_cool=1..}] run scoreboard players remove @s jjba_tech_1_cool 1
execute as @s[scores={jjba_cur_tech=0,jjba_tech_1_cool=1}] run playsound minecraft:technique.spin_reload master @a ~ ~ ~ 0.2 1
execute as @s[scores={jjba_tech_2_cool=1..}] at @s unless entity @e[type=minecraft:item,tag=ball_scan,distance=..30] run scoreboard players remove @s jjba_tech_2_cool 1
execute as @s[scores={jjba_cur_tech=1,jjba_tech_2_cool=1}] run playsound minecraft:technique.spin_reload master @a ~ ~ ~ 0.2 1
execute as @s[scores={jjba_tech_3_cool=1..}] at @s unless entity @e[type=minecraft:item,tag=ball_armor,distance=..2.5] run scoreboard players remove @s jjba_tech_3_cool 1
execute as @s[scores={jjba_cur_tech=2,jjba_tech_3_cool=1}] run playsound minecraft:technique.spin_reload master @a ~ ~ ~ 0.2 1
execute as @s[scores={jjba_tech_4_cool=1..}] run scoreboard players remove @s jjba_tech_4_cool 1
execute as @s[scores={jjba_cur_tech=3,jjba_tech_4_cool=1}] run playsound minecraft:technique.spin_reload master @a ~ ~ ~ 0.2 1
execute as @s[scores={jjba_tech_5_cool=1..}] run scoreboard players remove @s jjba_tech_5_cool 1
execute as @s[scores={jjba_cur_tech=4,jjba_tech_5_cool=1}] run playsound minecraft:technique.spin_reload master @a ~ ~ ~ 0.2 1

# infinite rotation
execute as @e[scores={jjba_infi_spin=1..}] at @s run function jjba:techniques/spin/rotation

# controls technique item
execute unless entity @s[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{technique:1b}}]}] run give @s minecraft:carrot_on_a_stick{technique:1b,display:{Name:"{\"text\":\"§aSpin\"}"},CustomModelData:30003}
kill @e[distance=..5,type=item,nbt={Item:{id:"minecraft:carrot_on_a_stick",tag:{technique:1b}}}]
