# global timer
execute unless score global jjba_clock matches 0..59 run scoreboard players set global jjba_clock 0
scoreboard players add global jjba_clock 1

# updates stand components
execute if score global jjba_clock matches 5 as @a[scores={jjba_stand=1..}] run function jjba:run/update_check

# stand obtaining functions
execute as @e[type=#jjba:sentient,nbt={ActiveEffects:[{Id:26,Amplifier:63b}]}] unless score @s jjba_stand matches 1.. run function jjba:items/stand_arrow/stand_trial
execute as @e[type=wolf] at @s if entity @e[type=minecraft:item,distance=..1,nbt={Item:{id:"minecraft:tipped_arrow",tag:{stand_arrow:1b},Count:1b}}] unless score jjba_fool jjba_unlocked matches 1 run function jjba:items/stand_arrow/stand_trial
execute as @e[type=parrot] at @s if entity @e[type=minecraft:item,distance=..1,nbt={Item:{id:"minecraft:tipped_arrow",tag:{stand_arrow:1b},Count:1b}}] unless score jjba_horus jjba_unlocked matches 1 run function jjba:items/stand_arrow/stand_trial
execute as @e[type=cat] at @s if entity @e[type=minecraft:item,distance=..1,nbt={Item:{id:"minecraft:tipped_arrow",tag:{stand_arrow:1b},Count:1b}}] unless score jjba_stray jjba_unlocked matches 1 run function jjba:items/stand_arrow/stand_trial
execute as @e[type=turtle] at @s if entity @e[type=minecraft:item,distance=..1,nbt={Item:{id:"minecraft:tipped_arrow",tag:{stand_arrow:1b},Count:1b}}] unless score jjba_president jjba_unlocked matches 1 run function jjba:items/stand_arrow/stand_trial
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:tipped_arrow",tag:{stand_arrow:1b},Count:1b}]}] unless score @s jjba_stand matches 1.. run function jjba:items/stand_arrow/stand_trial
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:prismarine_shard",tag:{full_stand_disc:1b},Count:1b}]}] unless score @s jjba_stand matches 1.. run function jjba:items/stand_disc/stand_trial
execute as @e[nbt={inGround:1b,CustomPotionEffects:[{Id:26,Amplifier:63b}]}] run kill @s

# stand assigning
execute as @e[tag=jjba_arrow_trial] run function jjba:items/stand_arrow/hurt_time
execute as @a[tag=jjba_disc_trial] run function jjba:items/stand_disc/hurt_time
execute as @e[tag=jjba_arrow_trial,scores={jjba_hurt_time=0}] run tag @s remove jjba_arrow_trial
execute as @a[tag=jjba_disc_trial,scores={jjba_hurt_time=0}] run tag @s remove jjba_disc_trial

# technique skill cooldown
execute as @a[tag=!hamon_tension,tag=!hamon_lense,scores={jjba_technique=1},nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{technique:1b}}]}] at @s run function jjba:techniques/hamon/cooldown
execute as @a[tag=!vampire_immune,scores={jjba_technique=2},nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{technique:1b}}]}] at @s run function jjba:techniques/vampire/cooldown
execute as @a[scores={jjba_technique=3},nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{technique:1b}}]}] at @s run function jjba:techniques/spin/cooldown

# Steel Ball functions
execute as @e[type=minecraft:snowball,tag=!ball_copy,nbt={Item:{id:"minecraft:snowball",tag:{steel_ball:1b}}}] at @s run function jjba:items/steel_ball/nbt_copy
execute as @e[type=area_effect_cloud,tag=ball_marker] unless predicate minecraft:steel_ball at @s run function jjba:items/steel_ball/damage
execute as @e[type=area_effect_cloud,tag=throw_marker] unless predicate minecraft:steel_ball at @s run function jjba:techniques/spin/skills/spin_throw
execute as @e[type=item,tag=ball_scan] at @s run function jjba:techniques/spin/skills/scan
execute as @e[type=item,tag=ball_armor] at @s run function jjba:techniques/spin/skills/spin_protection
execute as @e[type=area_effect_cloud,tag=infi_marker] unless predicate minecraft:steel_ball at @s run function jjba:techniques/spin/skills/infinite_rotation
execute as @e[type=area_effect_cloud,tag=null_marker] unless predicate minecraft:steel_ball at @s run function jjba:techniques/spin/skills/nonexistent_spin
execute as @e[type=snowball,tag=ball_copy] run function jjba:items/steel_ball/visual_fix
execute as @e[tag=wrecked] run function jjba:items/steel_ball/wreck_effect

# regulates technique items
execute as @a run function jjba:run/item_replacement

# stand removing
execute as @a[nbt={ActiveEffects:[{Id:27,Amplifier:63b}]}] unless entity @s[tag=jjba_void_time] at @s run function jjba:items/void_potion/void_action
execute as @a[nbt={ActiveEffects:[{Id:27,Amplifier:63b}]}] run tag @s add jjba_void_time
execute as @a[tag=jjba_void_time] at @s run function jjba:items/void_potion/void_effect

# stat upgrader functions
execute as @a[scores={jjba_rc=1..},nbt={SelectedItem:{tag:{jjba_leveler:1b}}}] at @s run function jjba:blocks/upgrader/place
execute as @e[type=armor_stand,name=jjba_leveler] at @s unless block ~ ~ ~ minecraft:barrel run function jjba:blocks/upgrader/destroy
execute as @e[type=armor_stand,name=jjba_leveler] unless entity @s[scores={jjba_stand=1..}] at @s run function jjba:blocks/upgrader/close
execute as @e[type=armor_stand,name=jjba_leveler] unless entity @s[scores={-1=-1}] run scoreboard players set @s -1 -1
execute as @e[type=armor_stand,name=jjba_leveler] if entity @s[scores={jjba_stand=1..}] at @s run function jjba:blocks/upgrader/open
execute as @e[type=armor_stand,name=jjba_leveler] at @s if block ~ ~-1 ~ minecraft:hopper run data remove block ~ ~-1 ~ Items
kill @e[type=item,nbt={Item:{tag:{from_barrel:1b}}}]
clear @a #jjba:from_barrel{from_barrel:1b}

# gives effects to vampires
execute as @a[scores={jjba_vampire=1}] run function jjba:run/vampire_effects

# Crazy Diamond's restore effect
execute as @e[scores={jjba_dewither=1..}] run function jjba:run/dewither

# entity behavior functions
execute as @e[tag=jjba_entity] if entity @s[tag=!jjba_stop,tag=!jjba_rqm_player,tag=!jjba_book,tag=!jjba_command] run function jjba:run/behavior

# Stray Cat
execute as @a[scores={jjba_rc=1..},nbt={SelectedItem:{tag:{stray_cat:1b}}}] at @s run function jjba:stands/stray/spawn/respawn
execute as @e[type=vindicator,tag=stray_cat] at @s run function jjba:stands/stray/stand
execute as @a[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{stray_cat:1b}}]}] at @s run function jjba:stands/stray/attack/item_attack
execute as @e[type=armor_stand,tag=stray_cat] at @s unless entity @e[type=vindicator,tag=stray_cat,distance=..2] run function jjba:stands/stray/spawn/despawn

# runs stand/technqiue related functions if allowed

execute as @e[scores={jjba_stand=1..}] unless entity @s[scores={jjba_technique=1..}] at @s unless score @s jjba_deaths matches 1.. run function jjba:run/functions/conditions
execute as @e[scores={jjba_stand=1..},tag=jjba_stop] unless entity @s[scores={jjba_stand=14,jjba_ab_3=1}] unless entity @s[scores={jjba_technique=1..}] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",tag:{stand_head:1b}}]}] unless score @s jjba_deaths matches 1.. run clear @s minecraft:scute{stand_head:1b}
execute as @e[scores={jjba_stand=1..},tag=jjba_rqm_player] unless entity @s[scores={jjba_stand=14,jjba_ab_3=1}] unless entity @s[scores={jjba_technique=1..}] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",tag:{stand_head:1b}}]}] unless score @s jjba_deaths matches 1.. run clear @s minecraft:scute{stand_head:1b}
execute as @e[scores={jjba_stand=1..},tag=jjba_disc_take] unless entity @s[scores={jjba_technique=1..}] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",tag:{stand_head:1b}}]}] unless score @s jjba_deaths matches 1.. run clear @s minecraft:scute{stand_head:1b}

execute as @a[scores={jjba_stand=0}] unless entity @s[scores={jjba_stand=1..}] at @s unless score @s jjba_deaths matches 1.. run function jjba:run/functions/conditions
execute as @a[scores={jjba_stand=0},tag=jjba_stop] unless entity @s[scores={jjba_stand=14,jjba_ab_3=1}] unless entity @s[scores={jjba_stand=1..}] if entity @s[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{technique:1b}}]}] unless score @s jjba_deaths matches 1.. run clear @s minecraft:carrot_on_a_stick{technique:1b}
execute as @a[scores={jjba_stand=0},tag=jjba_rqm_player] unless entity @s[scores={jjba_stand=14,jjba_ab_3=1}] unless entity @s[scores={jjba_stand=1..}] if entity @s[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{technique:1b}}]}] unless score @s jjba_deaths matches 1.. run clear @s minecraft:carrot_on_a_stick{technique:1b}
execute as @a[scores={jjba_stand=0},tag=jjba_disc_take] unless entity @s[scores={jjba_stand=1..}] if entity @s[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{technique:1b}}]}] unless score @s jjba_deaths matches 1.. run clear @s minecraft:carrot_on_a_stick{technique:1b}

execute as @a[scores={jjba_stand=1..,jjba_technique=1..}] at @s unless score @s jjba_deaths matches 1.. run function jjba:run/functions/conditions
execute as @a[scores={jjba_stand=1..,jjba_technique=1..},tag=jjba_stop] unless entity @s[scores={jjba_stand=14,jjba_ab_3=1}] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",tag:{stand_head:1b}}]}] unless score @s jjba_deaths matches 1.. run clear @s minecraft:scute{stand_head:1b}
execute as @a[scores={jjba_stand=1..,jjba_technique=1..},tag=jjba_stop] unless entity @s[scores={jjba_stand=14,jjba_ab_3=1}] if entity @s[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{technique:1b}}]}] unless score @s jjba_deaths matches 1.. run clear @s minecraft:carrot_on_a_stick{technique:1b}
execute as @a[scores={jjba_stand=1..,jjba_technique=1..},tag=jjba_rqm_player] unless entity @s[scores={jjba_stand=14,jjba_ab_3=1}] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",tag:{stand_head:1b}}]}] unless score @s jjba_deaths matches 1.. run clear @s minecraft:scute{stand_head:1b}
execute as @a[scores={jjba_stand=1..,jjba_technique=1..},tag=jjba_rqm_player] unless entity @s[scores={jjba_stand=14,jjba_ab_3=1}] if entity @s[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{technique:1b}}]}] unless score @s jjba_deaths matches 1.. run clear @s minecraft:carrot_on_a_stick{technique:1b}
execute as @e[scores={jjba_stand=1..,jjba_technique=1..},tag=jjba_disc_take] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",tag:{stand_head:1b}}]}] unless score @s jjba_deaths matches 1.. run clear @s minecraft:scute{stand_head:1b}
execute as @a[scores={jjba_stand=1..,jjba_technique=1..},tag=jjba_disc_take] if entity @s[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{technique:1b}}]}] unless score @s jjba_deaths matches 1.. run clear @s minecraft:carrot_on_a_stick{technique:1b}

# Holy Corpse functions
execute unless entity @a[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{holy_corpse:1b}}]}] unless entity @e[type=minecraft:item,nbt={Item:{id:"minecraft:carrot_on_a_stick",tag:{holy_corpse:1b}}}] run execute as @e[type=minecraft:item,nbt={Item:{id:"minecraft:totem_of_undying",tag:{holy_skull:1b}}}] at @s if entity @e[type=minecraft:item,distance=..1,nbt={Item:{id:"minecraft:totem_of_undying",tag:{holy_eyes:1b}}}] if entity @e[type=minecraft:item,distance=..1,nbt={Item:{id:"minecraft:totem_of_undying",tag:{holy_ears:1b}}}] if entity @e[type=minecraft:item,distance=..1,nbt={Item:{id:"minecraft:totem_of_undying",tag:{holy_spine:1b}}}] if entity @e[type=minecraft:item,distance=..1,nbt={Item:{id:"minecraft:totem_of_undying",tag:{holy_heart:1b}}}] if entity @e[type=minecraft:item,distance=..1,nbt={Item:{id:"minecraft:totem_of_undying",tag:{holy_ribs:1b}}}] if entity @e[type=minecraft:item,distance=..1,nbt={Item:{id:"minecraft:totem_of_undying",tag:{holy_right_arm:1b}}}] if entity @e[type=minecraft:item,distance=..1,nbt={Item:{id:"minecraft:totem_of_undying",tag:{holy_left_arm:1b}}}] if entity @e[type=minecraft:item,distance=..1,nbt={Item:{id:"minecraft:totem_of_undying",tag:{holy_legs:1b}}}] run function jjba:items/holy_corpse/corpse_assembly
execute as @a[scores={jjba_rc=1..},nbt={SelectedItem:{tag:{holy_corpse:1b}}}] at @s run function jjba:items/holy_corpse/corpse_effect

# Stone Mask functions
execute as @a[scores={jjba_rc=1..},nbt={SelectedItem:{tag:{stone_mask:1b}}}] unless entity @s[nbt={Inventory:[{Slot:100b}]}] at @s run function jjba:items/stone_mask/mask_effect
execute as @a[tag=vamp_transf,scores={jjba_vampire=1..}] run function jjba:items/stone_mask/mask_action
execute as @a[tag=vamp_transf,scores={jjba_vampire=0}] at @s run function jjba:items/stone_mask/transformation

# death functions
execute as @a[scores={jjba_deaths=1..}] run function jjba:run/deaths
execute if score jjba_fool jjba_unlocked matches 1 unless entity @e[type=wolf,scores={jjba_stand=37}] run function jjba:run/deaths/fool
execute if score jjba_horus jjba_unlocked matches 1 unless entity @e[type=parrot,scores={jjba_stand=38}] run function jjba:run/deaths/horus
execute if score jjba_stray jjba_unlocked matches 1 unless entity @a[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{stray_cat:1b}}]}] unless entity @e[type=minecraft:item,nbt={Item:{id:"minecraft:carrot_on_a_stick",tag:{stray_cat:1b}}}] unless entity @e[type=vindicator,tag=stray_cat] run function jjba:run/deaths/stray
execute if score jjba_president jjba_unlocked matches 1 unless entity @e[type=turtle,scores={jjba_stand=40}] at @e[type=armor_stand,tag=presid_room] unless entity @e[type=#jjba:sentient,distance=..10] run function jjba:run/deaths/president

# Rokakaka functions
execute as @a[scores={jjba_rc=1..},nbt={SelectedItem:{tag:{rokakaka_seed:1b}}}] at @s run function jjba:blocks/rokakaka/plant
execute as @e[type=armor_stand,name=jjba_rokakaka] unless entity @s[scores={jjba_grow_stage=3}] at @s if block ~ ~ ~ minecraft:potted_cactus run function jjba:blocks/rokakaka/grow
execute as @e[type=armor_stand,name=jjba_rokakaka] if entity @s[scores={jjba_grow_stage=3}] at @s unless block ~ ~ ~ minecraft:potted_cactus if block ~ ~ ~ minecraft:flower_pot run function jjba:blocks/rokakaka/gather
execute as @e[type=armor_stand,name=jjba_rokakaka] at @s unless block ~ ~ ~ minecraft:potted_cactus if block ~ ~ ~ minecraft:flower_pot run function jjba:blocks/rokakaka/remove
execute as @e[type=armor_stand,name=jjba_rokakaka] at @s unless block ~ ~ ~ minecraft:potted_cactus unless block ~ ~ ~ minecraft:flower_pot run function jjba:blocks/rokakaka/destroy

# Vampire Dagger effect
execute as @a[nbt={SelectedItem:{tag:{vampire_dagger:1b}}}] run function jjba:items/vampire_dagger/regeneration
execute as @a[scores={jjba_hit=1..}] unless entity @s[nbt={SelectedItem:{tag:{vampire_dagger:1b}}}] run scoreboard players set @s jjba_hit 0

# resets controls
execute as @a run function jjba:run/reset_controls

# experince from mobs killed by stands
execute as @e[type=minecraft:item,nbt={Item:{id:"minecraft:experience_bottle"}}] at @s run function jjba:run/stand_xp

# custom entity summoning
execute if score global jjba_clock matches 10 run function jjba:run/entity_spawn

# experimental settings
execute if score global sett_blood matches 1.. as @e[nbt={HurtTime:9s}] at @s run function jjba:run/functions/effects
execute if score global sett_dinosaur matches 1 if score global jjba_clock matches 10 run execute as @e[type=minecraft:spider,tag=!dino_spawn] at @s if predicate minecraft:rng/20 run function jjba:mobs/summon/small_dinosaur
execute if score global sett_dinosaur matches 1 if score global jjba_clock matches 10 run execute as @e[type=minecraft:skeleton,tag=!dino_spawn] at @s if predicate minecraft:rng/20 run function jjba:mobs/summon/dinosaur
execute if score global sett_dinosaur matches 1 if score global jjba_clock matches 10 run execute as @e[type=minecraft:spider,tag=!dino_spawn] run tag @s add dino_spawn
execute if score global sett_dinosaur matches 1 if score global jjba_clock matches 10 run execute as @e[type=minecraft:skeleton,tag=!dino_spawn] run tag @s add dino_spawn

# Super Aja effects
execute as @a[nbt={Inventory:[{id:"minecraft:nether_star",tag:{super_aja:1b}}]}] run function jjba:items/super_aja/super_aja

# advancements
execute as @e[type=minecraft:item,nbt={Item:{id:"minecraft:structure_void",tag:{jjba_adv:1b}}}] at @s run advancement grant @p[scores={jjba_technique=2}] only jjba:make_vampire_kill_iron_golem
execute as @e[type=minecraft:item,nbt={Item:{id:"minecraft:structure_void",tag:{jjba_adv:1b}}}] run kill @s
execute as @a[scores={jjba_vampire_kill=10..},advancements={jjba:kill_10_vampires=false}] run advancement grant @s only jjba:kill_10_vampires
execute as @a[scores={jjba_vampire_kill=100..},advancements={jjba:kill_100_vampires=false}] run advancement grant @s only jjba:kill_100_vampires
