# regulates stand deployment
execute as @s[scores={jjba_active=1..21},tag=!stand_active] at @s run function jjba:stands/heaven/stand/summon_stand
execute as @s[scores={jjba_active=21},tag=stand_active] at @s run function jjba:stands/heaven/stand/stand_active
execute as @s[scores={jjba_active=-16..-1}] at @s run function jjba:stands/heaven/stand/dismiss_stand

# initiates active abilities
execute as @s[scores={jjba_head_f=1,jjba_ab_2=0,jjba_ab_3=0}] run tag @s add attack_1
execute as @s[scores={jjba_head_f=1,jjba_ab_2=0,jjba_ab_3=0}] run tag @s add barrage_6
execute as @s[scores={jjba_head_F=1,jjba_ab_2=1,jjba_ab_3=0}] run tag @s add attack_2
execute as @s[scores={jjba_head_q=1,jjba_ab_3=1}] run tag @s add attack_3
execute as @s[scores={jjba_ab_2=0,jjba_ab_3=0}] run function jjba:stands/heaven/while_active

# runs active abilities
execute as @s[tag=attack_1] at @s run function jjba:stands/heaven/disc_extraction/ability
execute as @s[tag=attack_2] at @s run function jjba:stands/heaven/gravity_shift/ability
execute as @s[tag=attack_3] at @s run function jjba:stands/heaven/acceleration/ability

# runs passive ability
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_active=1..}] at @s run function jjba:stands/heaven/wall_climbing

# bossbars

execute as @s store result bossbar jjba_heaven_1 value run scoreboard players get @s jjba_cooldown_1
execute as @s[scores={jjba_ab_2=0,jjba_ab_3=0,jjba_attack_1=0,jjba_cooldown_1=0}] run bossbar set minecraft:jjba_heaven_1 name [{"text":"Disc Extraction : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_2=0,jjba_ab_3=0,jjba_attack_1=1..}] run bossbar set minecraft:jjba_heaven_1 name [{"text":"Disc Extraction : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.swapOffhand","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_2=0,jjba_ab_3=0,jjba_attack_1=0,jjba_cooldown_1=1..}] run bossbar set minecraft:jjba_heaven_1 name [{"text":"Disc Extraction : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

execute as @s store result bossbar jjba_heaven_2 value run scoreboard players get @s jjba_cooldown_2
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_2=0,jjba_cooldown_2=0}] run bossbar set minecraft:jjba_heaven_2 name [{"text":"Gravity Shift : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.sneak","color":"yellow"},{"text":"+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_2=1..}] run bossbar set minecraft:jjba_heaven_2 name [{"text":"Gravity Shift : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.sneak","bold":true,"underlined":true,"color":"green"},{"text":"+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.swapOffhand","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_2=0,jjba_cooldown_2=1..}] run bossbar set minecraft:jjba_heaven_2 name [{"text":"Gravity Shift : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.sneak","color":"dark_gray"},{"text":"+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

execute as @s store result bossbar jjba_heaven_3 value run scoreboard players get @s jjba_cooldown_3
execute as @s[scores={jjba_ab_3=1,jjba_attack_3=0,jjba_cooldown_3=0}] run bossbar set minecraft:jjba_heaven_3 name [{"text":"Acceleration : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.drop","color":"yellow"},{"text":" to use","color":"yellow"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_3=1..11999}] run bossbar set minecraft:jjba_heaven_3 name [{"text":"Acceleration","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_3=12000..}] run bossbar set minecraft:jjba_heaven_3 name [{"text":"Acceleration : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.drop","bold":true,"underlined":true,"color":"green"},{"text":" to reset the universe","bold":true,"underlined":true,"color":"green"},{"text":" , head+","bold":false,"underlined":false,"color":"yellow"},{"keybind":"key.sneak","bold":false,"underlined":false,"color":"yellow"},{"text":"+","bold":false,"underlined":false,"color":"yellow"},{"keybind":"key.drop","bold":false,"underlined":false,"color":"yellow"},{"text":" to cancel","bold":false,"underlined":false,"color":"yellow"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_3=0,jjba_cooldown_3=1..}] run bossbar set minecraft:jjba_heaven_3 name [{"text":"Acceleration : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to use","color":"dark_gray"}]

# controls head
execute unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",Count:1b,tag:{stand_head:1b}}]}] run clear @s minecraft:scute{stand_head:1b}
execute as @s[scores={jjba_ab_2=0,jjba_ab_3=0}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @s hotbar.0 with minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Whitesnake』\"}"},CustomModelData:120001}
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @s hotbar.0 with minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『C-Moon』\"}"},CustomModelData:120002}
execute as @s[scores={jjba_ab_3=1}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @s hotbar.0 with minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§6『Made in Heaven』\"}"},CustomModelData:120003}
kill @e[distance=..10,type=item,nbt={Item:{id:"minecraft:scute",tag:{stand_head:1b}}}]
