# summons stand
execute as @s[scores={jjba_active=0,jjba_attack_1=0,jjba_cooldown_1=0}] run scoreboard players set @s jjba_active 1

# termination conditions
execute as @s[scores={jjba_head_f=1,jjba_attack_1=1..}] run scoreboard players set @s jjba_cooldown_1 1200
execute as @s[scores={jjba_head_f=1,jjba_attack_1=1..}] run scoreboard players set @s jjba_attack_1 0

# initiate
execute as @s[scores={jjba_cooldown_1=0}] run scoreboard players set @s jjba_attack_1 1200

# stops time
execute as @s[scores={jjba_attack_1=1200}] run function jjba:stands/world/time_stop/stop_time
execute as @s[scores={jjba_attack_1=1..600}] run execute as @a[tag=time_stop_immune] unless entity @s[scores={jjba_stand=1}] run tag @s remove time_stop_immune
execute as @s[scores={jjba_attack_1=1..600}] run execute as @a[tag=time_stop_immune] unless entity @s[scores={jjba_stand=1}] run tag @s add jjba_stop

# runs during time stop
execute as @s[scores={jjba_attack_1=1..}] at @e[type=armor_stand,tag=epicentrum,limit=1,sort=nearest] as @e[distance=0.1..100] at @s run function jjba:stands/world/time_stop/stopped_time

# time stop particles
execute as @s[scores={jjba_attack_1=1..}] at @s run particle minecraft:mycelium ~ ~0.6 ~ 7 7 7 0 45 force

# duration
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=1}] unless entity @s[scores={jjba_technique=2}] run scoreboard players add @s jjba_cooldown_1 30
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=2}] unless entity @s[scores={jjba_technique=2}] run scoreboard players add @s jjba_cooldown_1 20
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=3}] unless entity @s[scores={jjba_technique=2}] run scoreboard players add @s jjba_cooldown_1 12
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=4}] unless entity @s[scores={jjba_technique=2}] run scoreboard players add @s jjba_cooldown_1 10
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=5}] unless entity @s[scores={jjba_technique=2}] run scoreboard players add @s jjba_cooldown_1 8
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=1}] if entity @s[scores={jjba_technique=2}] run scoreboard players add @s jjba_cooldown_1 24
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=2}] if entity @s[scores={jjba_technique=2}] run scoreboard players add @s jjba_cooldown_1 16
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=3}] if entity @s[scores={jjba_technique=2}] run scoreboard players add @s jjba_cooldown_1 10
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=4}] if entity @s[scores={jjba_technique=2}] run scoreboard players add @s jjba_cooldown_1 8
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=5}] if entity @s[scores={jjba_technique=2}] run scoreboard players add @s jjba_cooldown_1 6
execute as @s[scores={jjba_cooldown_1=1200..}] run scoreboard players set @s jjba_cooldown_1 1200
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=1}] unless entity @s[scores={jjba_technique=2}] run scoreboard players remove @s jjba_attack_1 30
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=2}] unless entity @s[scores={jjba_technique=2}] run scoreboard players remove @s jjba_attack_1 20
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=3}] unless entity @s[scores={jjba_technique=2}] run scoreboard players remove @s jjba_attack_1 12
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=4}] unless entity @s[scores={jjba_technique=2}] run scoreboard players remove @s jjba_attack_1 10
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=5}] unless entity @s[scores={jjba_technique=2}] run scoreboard players remove @s jjba_attack_1 8
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=1}] if entity @s[scores={jjba_technique=2}] run scoreboard players remove @s jjba_attack_1 24
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=2}] if entity @s[scores={jjba_technique=2}] run scoreboard players remove @s jjba_attack_1 16
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=3}] if entity @s[scores={jjba_technique=2}] run scoreboard players remove @s jjba_attack_1 10
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=4}] if entity @s[scores={jjba_technique=2}] run scoreboard players remove @s jjba_attack_1 8
execute as @s[scores={jjba_attack_1=1..,jjba_stat_dur=5}] if entity @s[scores={jjba_technique=2}] run scoreboard players remove @s jjba_attack_1 6
execute as @s[scores={jjba_attack_1=..-1}] run scoreboard players set @s jjba_attack_1 0

# resumes time
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1200}] run function jjba:stands/world/time_stop/resume_time

# cooldown
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=1}] run scoreboard players remove @s jjba_cooldown_1 2
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=2}] run scoreboard players remove @s jjba_cooldown_1 3
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=3}] run scoreboard players remove @s jjba_cooldown_1 4
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=4}] run scoreboard players remove @s jjba_cooldown_1 5
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=5}] run scoreboard players remove @s jjba_cooldown_1 6
execute as @s[scores={jjba_cooldown_1=..-1}] run scoreboard players set @s jjba_cooldown_1 0

# remove tag
execute as @s[scores={jjba_cooldown_1=0},tag=attack_1] run tag @s remove attack_1
